Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#51 Le 15/10/2020, à 13:13

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ok, je viens de les télécharger pour y jeter un coup d'œil. Du coup, qu'est-ce que tu as fait ensuite ? est-ce que tu as installé le deb qui est dans packages ou tu as lancé le script install.sh qui est directement dans l'archive ?

En ligne

#52 Le 15/10/2020, à 13:14

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

J'ai lancé le script install.sh.

Hors ligne

#53 Le 15/10/2020, à 13:19

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ah. Apparemment, le script a l'air de générer des debs mais je ne peux pas vraiment t'en dire plus, c'est juste en regardant rapidement ce qu'il y a dedans.

Je pense qu'en l'état, le plus sûr est de supposer que le script a généré et installé des debs (les mêmes que ceux qui étaient dans packages), et le PPA les a mis à jour dans une version plus récente. Du coup, si ton imprimante fonctionne correctement, je serais d'avis de laisser le PPA en place et de ne rien toucher.

En ligne

#54 Le 15/10/2020, à 13:44

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Oui je pense que c'est mieux ainsi.

Petit test pour voir si j'ai bien tout compris.
En faisant

toto:~$ apt list --installed | grep zotero

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

zotero/inconnu,now 5.0.91 amd64  [installé]
toto:~$ 

je peux voir que zotero est un deb installé avec APT.

Puis avec

toto:~$ apt policy zotero
zotero:
  Installé : 5.0.91
  Candidat : 5.0.91
 Table de version :
 *** 5.0.91 500
        500 https://github.com/retorquere/zotero-deb/releases/download/apt-get ./ Packages
        100 /var/lib/dpkg/status
toto:~$ 

je peux conclure qu'il est bien à jour et que le dépôt utilisé pour les mises à jour est : https://github.com/retorquere/zotero-de … ad/apt-get.

Si maintenant je fais

toto:~$ snap find zotero
Nom          Version  Auteur      Notes  Résumé
zotero-snap  5.0.89   extraymond  -      Unofficial snap for Zotero Standalone
qnotero      2.3.0    ealbiter    -      Standalone sidekick to Zotero reference manager.
toto:~$

ou

toto:~$ flatpak search zotero
Name           Description                                         Application ID            Version        Branch        Remotes
Zotero         Collect, organize, cite, and share research         org.zotero.Zotero         5.0.89         stable        flathub
toto:~$ 

je vois qu'il est aussi disponible en snap et flatpak dans une version légèrement inférieure.

Si je veux l'installer en snap, je supprime d'abord le deb (apt) avec

sudo apt-get remove --purge zotero

et nettoie les dépendances devenues inutiles avec

sudo apt-get autoremove --purge

puis je supprime le dépôt devenu également inutile avec

sudo rm /etc/apt/sources.list.d/zotero.list

Enfin, j'installe zotero-snap avec

sudo snap install zotero-snap

et je pourrais vérifier qu'il est bien dans la liste des snaps installés avec

snap list

J'ai tout bon ?

Hors ligne

#55 Le 15/10/2020, à 13:52

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Oui, c'est ça. Bon, si tu veux installer une appli en snap, tu n'es pas obligé de supprimer la version deb avant, tu peux le faire après, la garder en plus... De même, tu peux garder le dépôt dédié au cas où, si tu veux pouvoir réinstaller la version deb facilement. Bref, c'est juste pour dire que ce n'est pas une obligation, ça ne va rien casser de garder un dépôt ou un paquet deb en parallèle à l'utilisation d'une version snap/flatpak.

D'ailleurs, si on reprend l'exemple de Zotero, tu peux remarquer que les versions snap sont maintenues par des utilisateurs lambda ("extraymond" pour zotero-snap et "ealbiter" pour qnotero). Il faut faire un minimum attention à ce qu'on installe, sachant que n'importe qui peut proposer des paquets snap ou flatpak (c'est vrai aussi pour les dépôts tiers/PPA). Quand tu as le choix entre plusieurs versions ou formats, autant prendre la version proposée par les développeurs officiels s'il y en a une.

En ligne

#56 Le 15/10/2020, à 14:18

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ok, merci.

Merci beaucoup pour l'aide !! C'est top.
J'espère vraiment que cette discussion pourra servir à d'autres car il y a plein d'infos intéressantes pour ceux comme moi qui galèrent avec les installations.

Je mets cette discussion en [Résolu].

Bonne journée !

Hors ligne

#57 Le 15/10/2020, à 14:22

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Il reste encore un détail : on devrait peut-être supprimer GNOME Software pour (essayer de) réinstaller le Snap Store proprement.

dpkg -l | grep gnome-software
dpkg -l | grep snap

En ligne

#58 Le 15/10/2020, à 14:42

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ah oui super.

toto:~$ dpkg -l | grep gnome-software
ii  gnome-software                             3.36.1-0ubuntu0.20.04.0                     amd64        Software Center for GNOME
ii  gnome-software-common                      3.36.1-0ubuntu0.20.04.0                     all          Software Center for GNOME (common files)
ii  gnome-software-plugin-flatpak              3.36.1-0ubuntu0.20.04.0                     amd64        Flatpak support for GNOME Software
ii  gnome-software-plugin-snap                 3.36.1-0ubuntu0.20.04.0                     amd64        Snap support for GNOME Software
toto:~$ 
toto:~$ dpkg -l | grep snap
ii  chromium-codecs-ffmpeg-extra               1:85.0.4183.83-0ubuntu0.20.04.1             amd64        Transitional package - chromium-codecs-ffmpeg-extra -> chromium-ffmpeg snap
ii  gir1.2-snapd-1:amd64                       1.57-0ubuntu3                               amd64        Typelib file for libsnapd-glib1
ii  gnome-software-plugin-snap                 3.36.1-0ubuntu0.20.04.0                     amd64        Snap support for GNOME Software
ii  libsnapd-glib1:amd64                       1.57-0ubuntu3                               amd64        GLib snapd library
ii  libsnappy1v5:amd64                         1.1.8-1build1                               amd64        fast compression/decompression library
ii  libsnappy1v5:i386                          1.1.8-1build1                               i386         fast compression/decompression library
ii  snapd                                      2.46.1+20.04                                amd64        Daemon and tooling that enable snap packages
toto:~$ 

EDIT : j'ai aussi l'appli snap 'snap-store'.

Dernière modification par TVG (Le 15/10/2020, à 14:43)

Hors ligne

#59 Le 15/10/2020, à 14:49

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Dans un premier temps, donne-moi le retour de :

sudo apt-get remove -s --purge gnome-software gnome-software-common gnome-software-plugin-flatpak gnome-software-plugin-snap

En ligne

#60 Le 15/10/2020, à 14:51

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

toto:~$ sudo apt-get remove -s --purge gnome-software gnome-software-common gnome-software-plugin-flatpak gnome-software-plugin-snap
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libflatpak0
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets suivants seront ENLEVÉS :
  gnome-software* gnome-software-common* gnome-software-plugin-flatpak* gnome-software-plugin-snap*
0 mis à jour, 0 nouvellement installés, 4 à enlever et 0 non mis à jour.
Purg gnome-software-plugin-snap [3.36.1-0ubuntu0.20.04.0]
Purg gnome-software-plugin-flatpak [3.36.1-0ubuntu0.20.04.0]
Purg gnome-software [3.36.1-0ubuntu0.20.04.0]
Purg gnome-software-common [3.36.1-0ubuntu0.20.04.0]
toto:~$ 

Hors ligne

#61 Le 15/10/2020, à 14:55

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ok, c'est bon. Donc :

sudo apt-get remove --purge gnome-software gnome-software-common gnome-software-plugin-flatpak gnome-software-plugin-snap
sudo apt-get autoremove --purge

Ensuite, relance la session ou redémarre. Dis-moi ce que tu as dans les applications : Ubuntu Software, Snap Store (Boutique des snaps) ou les deux ?

En ligne

#62 Le 15/10/2020, à 15:01

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Seulement Ubuntu Software.

EDIT : enfin, si je fais 'snap-store' dans le terminal ça m'ouvre "Ubuntu Software" également.

Dernière modification par TVG (Le 15/10/2020, à 15:03)

Hors ligne

#63 Le 15/10/2020, à 15:50

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Là, ça doit être normal. Je crois qu'Ubuntu Software (ou "Logiciels Ubuntu") c'est le nom que Canonical veut faire apparaître à la place de "Boutique des snaps" via les bidouilles que le paquet met en place.

Ça devrait a priori être bon.

En ligne

#64 Le 15/10/2020, à 15:55

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Je pense qu'il faudrait réinstaller gnome-software car c'est le seul qui semble afficher les flatpaks.

Hors ligne

#65 Le 15/10/2020, à 16:15

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Ah oui, le Snap Store n'a probablement pas de plugin disponible pour gérer les flatpaks. Après, tu peux aussi les gérer en ligne de commande mais si tu veux une interface, il faudrait remettre GNOME Software.
Mais du coup, tu vas te retrouver avec deux logithèques. À moins de supprimer le Snap Store, ce qui n'est probablement pas vraiment un problème en soi pour le moment mais à l'avenir, comme Canonical a l'air de vouloir tout miser dessus, je ne sais pas ce qu'il en sera.

Donc, pour réinstaller GNOME Software :

sudo apt-get install gnome-software gnome-software-plugin-flatpak gnome-software-plugin-snap

et si tu veux supprimer le Snap Store :

snap remove snap-store

En ligne

#66 Le 15/10/2020, à 16:23

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Parfait, merci.
Je vais garder les deux pour le moment.

Hors ligne

#67 Le 06/12/2021, à 09:22

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Bonjour,

J'avais finalement remis un installeur alternatif disponible sur un repository Github pour Zotero suivant la note de cette doc ubuntu-fr. J'obtiens maintenant une erreur lorsque je fais 'sudo apt update' :

Hit:1 http://lenovo.archive.canonical.com focal InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                               
Hit:3 http://fr.archive.ubuntu.com/ubuntu focal InRelease                                                                                  
Get:4 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]                                                                 
Hit:5 https://linux.teamviewer.com/deb stable InRelease                                                                                    
Hit:6 http://ppa.launchpad.net/sane-project/sane-git/ubuntu focal InRelease                                                                
Hit:7 https://updates.signal.org/desktop/apt xenial InRelease                                                                              
Hit:9 https://packages.microsoft.com/repos/ms-teams stable InRelease                                                                       
Get:10 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease [108 kB]  
Get:11 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]                             
Err:8 https://github.com/retorquere/zotero-deb/releases/download/apt-get ./ InRelease                                               
  401  Unauthorized [IP: 185.199.108.133 443]
Get:12 https://mega.nz/linux/MEGAsync/xUbuntu_20.04 ./ InRelease [2,441 B]      
Get:13 http://fr.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [278 kB]
Get:14 http://fr.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [361 kB]
Get:15 http://fr.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [940 B]
Get:16 http://fr.archive.ubuntu.com/ubuntu focal-backports/main amd64 DEP-11 Metadata [7,996 B]
Get:17 http://fr.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [11.3 kB]
Get:18 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [35.6 kB]
Get:19 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [64.4 kB]
Get:20 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2,464 B]
Reading package lists... Done                                               
E: Failed to fetch https://github.com/retorquere/zotero-deb/releases/download/apt-get/./InRelease  401  Unauthorized [IP: 185.199.108.133 443]
E: The repository 'https://github.com/retorquere/zotero-deb/releases/download/apt-get ./ InRelease' is no longer signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

1) Est-ce que cette erreur empêche uniquement la mise à jour de Zotero ou de tous les paquets ? Lorsque je fais 'sudo apt dist-upgrade', j'obtiens tout le temps "0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded."
2) Que faut-il faire pour corriger le problème ?

Je note également que dans /etc/apt/sources.list.d/ il y a des fichiers *.save qui sont revenus :

-rw-r--r-- 1 root root  189 Oct 20 10:42 google-chrome.list
-rw-r--r-- 1 root root  189 Oct 20 10:42 google-chrome.list.save
-rw-r--r-- 1 root root   53 Oct 20 10:42 megasync.list
-rw-r--r-- 1 root root   53 Oct 20 10:42 megasync.list.save
-rw-r--r-- 1 root root  242 Oct 20 10:42 oem-sutton.newell-adam-meta.list
-rw-r--r-- 1 root root  242 Oct 20 10:42 oem-sutton.newell-adam-meta.list.save
-rw-r--r-- 1 root root  144 Oct 20 10:42 sane-project-ubuntu-sane-git-focal.list
-rw-r--r-- 1 root root  125 Oct 30 01:19 signal-xenial.list
-rw-r--r-- 1 root root  196 Oct 20 10:42 teams.list
-rw-r--r-- 1 root root  196 Oct 20 10:42 teams.list.save
-rw-r--r-- 1 root root 1.2K Oct 20 10:42 teamviewer.list
-rw-r--r-- 1 root root 1.2K Oct 20 10:42 teamviewer.list.save
-rw-r--r-- 1 root root   75 Oct 20 10:42 zotero.list
-rw-r--r-- 1 root root   75 Oct 20 10:42 zotero.list.save

1) Quand et pourquoi ces fichiers ont-ils été créés ?
2) Est-ce que je peux les supprimer ?

Merci !

Hors ligne

#68 Le 06/12/2021, à 11:57

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

1) Oui, ça bloque tout APT, plus de mises à jour tant que le problème n'est pas corrigé.
2) Le dépôt que tu as ajouté n'existe pas, du moins à cette adresse. Le dépôt GitHub est toujours en place, et sur sa page d'accueil il y a ça :

PSA: GITHUB DOWNLOADS FOR THIS REPO ARE CURRENTLY BROKEN FOR SOME PEOPLE (myself included)

I'm trying to reach github about this, but in the interim I've set up a mirror on SourceForge while github gets its act together -- they're usually super responsive, but I've heard nothing from them yet. You have to run the install.sh and apt update again but now with the URL explained there, but after that it should just work as usual. When github is back, re-running the same install from the github project will restore things to how they were, but I'll probably just leave the sourceforge mirror updated, it isn't any extra work.

Apparemment, le mec qui gère le dépôt l'a migré sur SourceForce en attendant que le problème avec GitHub soit résolu. En jetant un coup d'œil au nouveau script d'installation, l'adresse à (évidemment) changé.

Édite le fichier .list :

sudo nano /etc/apt/sources.list.d/zotero.list

Remplace la ligne suivante :

deb https://github.com/retorquere/zotero-deb/releases/download/apt-get/ ./

par celle-ci :

deb https://downloads.sourceforge.net/project/zotero-deb/ ./

Enregistre avec ctrl + O, valide le nom de fichier avec entrée, ferme Nano avec ctrl + X.

Il faudra aussi vraisemblablement mettre la clé à jour :

wget -qO- https://downloads.sourceforge.net/project/zotero-deb/deb.gpg.key | gpg --no-default-keyring --keyring gnupg-ring:/etc/apt/trusted.gpg.d/zotero.gpg --import -
sudo chmod 644 /etc/apt/trusted.gpg.d/zotero.gpg

Une fois que c'est fait, recharge la liste des dépôts, ça devrait mieux aller (si le nouveau dépôt n'a pas été abandonné à son tour) :

sudo apt-get update && sudo apt-get dist-upgrade

3 et 4) Pour la date de création des fichiers .save, tu l'as dans ton retour : ils ont été recréés le 20 octobre à 10 h 42. Je ne sais pas sous quelles conditions APT recrée les fichiers .save. Tu peux les supprimer sans conséquences, ce sont juste des backups des .list.

Dernière modification par abelthorne (Le 06/12/2021, à 12:47)

En ligne

#69 Le 06/12/2021, à 13:02

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Merci @abelthorne pour cette réponse très claire une nouvelle fois ! smile

J'ai modifié l'adresse et refait un 'sudo apt-get update' sans mettre à jour la clé et je n'ai pas eu d'erreur. Je suppose donc que je n'ai pas besoin de la mettre à jour (?).

Hors ligne

#70 Le 06/12/2021, à 13:35

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Si tu n'as pas d'erreur, je suppose que c'est bon. Ça me paraît curieux que ce soit la même clé avec un changement de serveur mais je ne m'y connais pas assez pour savoir si c'est possible.

Dernière modification par abelthorne (Le 06/12/2021, à 13:35)

En ligne

#71 Le 19/01/2022, à 15:42

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Bonjour,

J'ai fait une mise à jour de Ubuntu 20.04 vers 21.10. J'aimerais vérifier que la liste de dépôts est OK.

Voici le contenu de mon fichier sources.list :

toto:~$ cat sources.list
# deb cdrom:[Ubuntu 20.04.1 LTS _Focal Fossa_ - Release amd64 (20200731)]/ focal main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal universe
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu hirsute-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu hirsute-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu hirsute-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

toto:~$

Je suppose que c'est OK.

La liste de mes dépôts :

toto:~$ cat /etc/apt/sources.list.d/*.list
### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
# deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main # disabled on upgrade to hirsute
# deb https://mega.nz/linux/MEGAsync/xUbuntu_20.04/ ./ # disabled on upgrade to hirsute
# deb http://lenovo.archive.canonical.com/ focal sutton
# deb-src http://lenovo.archive.canonical.com/ focal sutton
# deb http://lenovo.archive.canonical.com/ focal sutton.newell
# deb-src http://lenovo.archive.canonical.com/ focal sutton.newell
# deb http://ppa.launchpad.net/sane-project/sane-git/ubuntu hirsute main # disabled on upgrade to hirsute
# deb-src http://ppa.launchpad.net/sane-project/sane-git/ubuntu focal main
deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main
### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
# deb [arch=amd64] https://packages.microsoft.com/repos/ms-teams stable main # disabled on upgrade to hirsute
###   TeamViewer DEB repository list

### NOTE: Manual changes to this file
###        - prevent it from being updated by TeamViewer package updates
###        - will be lost after using the 'teamviewer repo' command
###       The original file can be restored with this command:
###       cp /opt/teamviewer/tv_bin/script/teamviewer.list /etc/apt/sources.list.d/teamviewer.list
###       which has the same effect as 'teamviewer repo default'

### NOTE: It is preferred to use the following commands to edit this file:
###       teamviewer repo                - show current repository configuration
###       teamviewer repo default        - restore default configuration
###       teamviewer repo disable        - disable the repository
###       teamviewer repo stable         - make all regular TeamViewer packages available (default)
###       teamviewer repo preview        - additionally, make feature preview packages available
###       teamviewer repo development    - additionally, make the latest development packages available


# deb https://linux.teamviewer.com/deb stable main # disabled on upgrade to hirsute

# deb https://linux.teamviewer.com/deb preview main
# deb https://linux.teamviewer.com/deb development main
# deb https://downloads.sourceforge.net/project/zotero-deb/ ./ # disabled on upgrade to hirsute
toto:~$

Est-ce normal qu'il y ait un "#" devant tout ?

Concernant les paquets orphelins :

toto:~$ apt list | grep "installed,local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

cnijfilter2/now 5.90-1 amd64 [installed,local]
gir1.2-unity-5.0/now 7.1.4+19.04.20190319-0ubuntu3 amd64 [installed,local]
google-chrome-stable/now 97.0.4692.71-1 amd64 [installed,local]
libperl5.30/now 5.30.0-9ubuntu0.2 amd64 [installed,local]
libsane-common/now 1.0.32+git20211118-focal0 all [installed,local]
libsane1/now 1.0.32+git20211118-focal0 amd64 [installed,local]
libsane/now 1.0.32+git20211118-focal0 amd64 [installed,local]
libsnmp35/now 5.8+dfsg-2ubuntu2.3 amd64 [installed,local]
linux-generic-hwe-20.04/now 5.13.0.27.29~20.04.13 amd64 [installed,local]
linux-headers-5.13.0-27-generic/now 5.13.0-27.29~20.04.1 amd64 [installed,local]
linux-headers-generic-hwe-20.04/now 5.13.0.27.29~20.04.13 amd64 [installed,local]
linux-hwe-5.13-headers-5.13.0-27/now 5.13.0-27.29~20.04.1 all [installed,local]
linux-image-5.13.0-27-generic/now 5.13.0-27.29~20.04.1 amd64 [installed,local]
linux-image-generic-hwe-20.04/now 5.13.0.27.29~20.04.13 amd64 [installed,local]
linux-modules-5.13.0-27-generic/now 5.13.0-27.29~20.04.1 amd64 [installed,local]
linux-modules-extra-5.13.0-27-generic/now 5.13.0-27.29~20.04.1 amd64 [installed,local]
megasync/now 4.6.1-2.1 amd64 [installed,local]
oem-sutton.newell-adam-meta/now 20.04ubuntu5 all [installed,local]
oem-sutton.newell-meta/now 4.0newell5 all [installed,local]
perl-modules-5.30/now 5.30.0-9ubuntu0.2 all [installed,local]
sane-utils/now 1.0.32+git20211118-focal0 amd64 [installed,local]
scangearmp2/now 3.90-1 amd64 [installed,local]
teams/now 1.4.00.26453 amd64 [installed,local]
teamviewer/now 15.25.5 amd64 [installed,local]
xserver-common/now 2:1.20.13-1ubuntu1~20.04.2 all [installed,local]
xserver-xephyr/now 2:1.20.13-1ubuntu1~20.04.2 amd64 [installed,local]
xserver-xorg-core/now 2:1.20.13-1ubuntu1~20.04.2 amd64 [installed,local]
xserver-xorg-legacy/now 2:1.20.13-1ubuntu1~20.04.2 amd64 [installed,local]
zotero/now 5.0.96.3-3 amd64 [installed,local]
toto:~$

Je suppose qu'il y a des choses qui ne servent plus à rien, mais je n'en suis pas certain.

Merci d'avance pour l'aide ! smile

Hors ligne

#72 Le 19/01/2022, à 16:04

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Avant toute chose, tu es en 21.04 (hirsute), pas 21.10 (impish). Du coup, une fois qu'on aura corrigé les problèmes, il faudra à nouveau refaire une mise à niveau pour passer en 21.10 (version actuelle). Puis à nouveau dans environ 3 mois pour passer en 22.04 (qui sera une LTS).

Un dièse au début d'une ligne indique que c'est un commentaire, la ligne n'est pas analysée par APT. C'est une façon simple de désactiver temporairement un dépôt : on commente la ligne, il n'est plus pris en compte ; on la décommente, il l'est à nouveau.

De fait, tu as des tas de dépôts désactivés et c'est normal : lors de la mise à niveau, Ubuntu désactive tous les dépôts tiers. À charge à l'utilisateur de vérifier après coup si les dépôts sont encore pertinents et de les réactiver en les passant à la bonne version si nécessaire.

Comme il va falloir corriger la plupart des dépôts, ce serait plus pratique d'avoir la liste des fichiers concernés. Donne le retour de :

ls /etc/apt/sources.list.d

C'est possible aussi de les manipuler via Logiciels & mises à jour mais je préfère généralement modifier les fichiers texte.

Détail en passant : parmi les dépôts qui sont désactivés, il y a des dépôts Lenovo. Je suppose que c'est le fabricant de ton PC et qu'il fournit des dépôts Ubuntu adaptés au matériel. Ce qui est ennuyeux, c'est qu'après vérification en allant farfouiller à la source, il n'y a pas de version hirsute (21.04) ni impish (21.10) ; vraisemblablement, Lenovo ne gère que des dépôts pour les LTS. En l'état, pas sûr que tu puisses continuer à utiliser ces dépôts, du moins avant la prochaine LTS (s'ils sont mis à jour pour elle). Par conséquent, c'est possible que tu te retrouves avec des problèmes de gestion du matos.

En ligne

#73 Le 19/01/2022, à 16:21

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Bonjour @abelthorne, merci pour ton message !

Ah oui, je n'avais pas fait gaffe que je n'étais pas passé direct à 21.10.

Voici la liste des fichiers :

toto:~$ ls /etc/apt/sources.list.d
google-chrome.list  oem-sutton.newell-adam-meta.list         signal-xenial.list  teamviewer.list
megasync.list       sane-project-ubuntu-sane-git-focal.list  teams.list          zotero.list
toto:~$

EDIT : Les dépôts Lenovo apparaissent dans "oem-sutton.newell-adam-meta.list" mais je ne sais pas de quoi il s'agit...

Dernière modification par TVG (Le 19/01/2022, à 16:30)

Hors ligne

#74 Le 19/01/2022, à 17:10

abelthorne

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

En fait, je ne sais même pas comment tu es passé en 21.04, vu que depuis la 20.04 tu ne devrais avoir que l'option de passer en 20.10 (qui n'est plus supportée). À moins que le gestionnaire de mise à niveau sache zapper les versions obsolètes ou que tu aies fait deux mises à niveau successives (20.04 → 20.10, puis 20.10 → 21.04). Enfin, bref.

On va commencer par nettoyer le sources.list. Dedans, tu as des dépôts code source (deb-src) qui sont désactivés d'origine parce qu'ils ne sont pas utiles pour l'utilisateur lambda. Du coup, comme ils sont désactivés, la mise à niveau ne les traite pas et les laisse à l'ancienne version. Plutôt que de corriger manuellement tous les "focal" en "hirsute" et de le refaire à chaque mise à niveau, je propose de les virer complètement. En cas de besoin, c'est de toute façon possible de les remettre en place d'un clic via l'appli Logiciels et mises à jour. On va aussi virer la ligne du CD-Rom inactive qui est inutile.

sudo nano /etc/apt/sources.list

Supprime tout. Tu peux utiliser ctrl + K pour effacer des lignes entières. Colle ce qui suit à la place :

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute universe
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ hirsute-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu hirsute partner

deb http://security.ubuntu.com/ubuntu hirsute-security main restricted
deb http://security.ubuntu.com/ubuntu hirsute-security universe
deb http://security.ubuntu.com/ubuntu hirsute-security multiverse

Note : j'ai laissé le dépôt partner inactif mais je l'ai passé en hirsute.

Une fois que c'est fait, enregistre avec ctrl + O, valide le nom de fichier avec entrée, ferme Nano avec ctrl + X.

On va ensuite réactiver la plupart des dépôts tiers. Je vais te donner alternativement la commande d'édition et le contenu attendu. Je ne reprécise pas à chaque fois qu'il faut enregistrer, c'est comme précédemment (ctrl + O, entrée pour le nom de fichier, ctrl + X).

1) Chrome

sudo nano /etc/apt/sources.list.d/google-chrome.list

Contenu :

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

2) MEGA

sudo nano /etc/apt/sources.list.d/megasync.list

Contenu :

deb https://mega.nz/linux/MEGAsync/xUbuntu_21.04/ ./

3) Teams

sudo nano /etc/apt/sources.list.d/teams.list

Contenu :

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] https://packages.microsoft.com/repos/ms-teams stable main

4) Teamviewer

sudo nano /etc/apt/sources.list.d/teamviewer.list

Contenu :

###   TeamViewer DEB repository list

### NOTE: Manual changes to this file
###        - prevent it from being updated by TeamViewer package updates
###        - will be lost after using the 'teamviewer repo' command
###       The original file can be restored with this command:
###       cp /opt/teamviewer/tv_bin/script/teamviewer.list /etc/apt/sources.list.d/teamviewer.list
###       which has the same effect as 'teamviewer repo default'

### NOTE: It is preferred to use the following commands to edit this file:
###       teamviewer repo                - show current repository configuration
###       teamviewer repo default        - restore default configuration
###       teamviewer repo disable        - disable the repository
###       teamviewer repo stable         - make all regular TeamViewer packages available (default)
###       teamviewer repo preview        - additionally, make feature preview packages available
###       teamviewer repo development    - additionally, make the latest development packages available


deb https://linux.teamviewer.com/deb stable main

# deb https://linux.teamviewer.com/deb preview main
# deb https://linux.teamviewer.com/deb development main

5) Zotero

sudo nano /etc/apt/sources.list.d/zotero.list

Contenu :

deb https://downloads.sourceforge.net/project/zotero-deb/ ./

On va commencer par ça et il restera à traiter Signal, SANE et Lenovo. En aparté, concernant Zotero, il me semble que la gestion de la version deb était passée de SourceForge à GitHub mais ça devrait encore fonctionner via SF. Sachant que le type qui gère le paquet est apparemment en train de transférer tout ça à Zotero, donc les deux méthodes seront obsolètes à plus ou moins long terme et il faudra revoir ça plus en détail.

Concernant Signal, il me semble que le paquet est obsolète (le dépôt est resté bloqué sur "xenial" 16.04), il faudrait revoir ça aussi, il y a des sujets sur le forum qui doivent être plus à jour.

Pour ce qui est de SANE, est-ce que tu as absolument besoin de la version GIT via le PPA que tu avais ajouté ? Il peut poser par mal de problèmes et de conflits donc si on peut s'en passer ce n'est pas plus mal mais parfois il n'y a pas le choix. Tu avais ajouté le dépôt à cause d'un problème pour faire fonctionner un scanner qui le nécessitait ?

Enfin, en ce qui concerne les dépôts Lenovo, on est d'accord que tu es sur un PC Lenovo qui avait Ubuntu 20.04 préinstallé ?

En tout cas, on va déjà faire un premier point d'étape avec ces modifs de dépôts. Recharge la liste et lance une mise à jour. Poste le retour pour voir si tout va bien.

sudo apt-get update && sudo apt-get dist-upgrade

Dernière modification par abelthorne (Le 19/01/2022, à 17:14)

En ligne

#75 Le 19/01/2022, à 17:54

TVG

Re : [Résolu] Ubuntu 20.04 : dépôts désactivés pour la MAJ vers focal

Merci beaucoup abelthorne !!

Je suis bien passé de 20.04 à 21.04 directement via "Software Updater". Je ne sais pas pourquoi il n'a pas proposé 20.10. À vrai dire je pensais même qu'il avait directement installé 21.10.

J'ai fait les modifs. Ne t'embête plus à me repréciser les commandes Nano à chaque fois, d'autant que j'utilise Sublime Text. smile

Voici le retour de la commande. Il me propose la mise à jour de MEGA. Je la fait ?

toto:~$ sudo apt-get update && sudo apt-get dist-upgrade
Get:1 http://dl.google.com/linux/chrome/deb stable InRelease [1,811 B]
Hit:2 http://fr.archive.ubuntu.com/ubuntu hirsute InRelease                                                                 
Get:3 http://security.ubuntu.com/ubuntu hirsute-security InRelease [110 kB]                                                 
Get:4 https://linux.teamviewer.com/deb stable InRelease [11.9 kB]                                                           
Hit:5 https://updates.signal.org/desktop/apt xenial InRelease                                                               
Get:6 http://fr.archive.ubuntu.com/ubuntu hirsute-updates InRelease [115 kB]                                                
Get:7 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1,089 B]                                            
Get:8 https://packages.microsoft.com/repos/ms-teams stable InRelease [17.5 kB]                                              
Get:9 http://fr.archive.ubuntu.com/ubuntu hirsute-backports InRelease [101 kB]                                              
Get:10 https://linux.teamviewer.com/deb stable/main i386 Packages [12.2 kB]                                                 
Get:11 https://linux.teamviewer.com/deb stable/main amd64 Packages [12.4 kB]                              
Get:12 https://mega.nz/linux/MEGAsync/xUbuntu_21.04 ./ InRelease [2,441 B]                                             
Get:13 http://fr.archive.ubuntu.com/ubuntu hirsute-updates/main amd64 DEP-11 Metadata [100 kB]  
Get:14 https://packages.microsoft.com/repos/ms-teams stable/main amd64 Packages [8,213 B]
Get:15 http://fr.archive.ubuntu.com/ubuntu hirsute-updates/universe amd64 DEP-11 Metadata [62.4 kB]              
Get:17 https://mega.nz/linux/MEGAsync/xUbuntu_21.04 ./ Packages [2,243 B]                 
Get:16 https://downloads.sourceforge.net/project/zotero-deb ./ InRelease [2,153 B]                   
Get:18 http://fr.archive.ubuntu.com/ubuntu hirsute-updates/multiverse amd64 DEP-11 Metadata [944 B]
Get:19 http://fr.archive.ubuntu.com/ubuntu hirsute-backports/universe amd64 DEP-11 Metadata [9,344 B]
Get:20 https://downloads.sourceforge.net/project/zotero-deb ./ Packages [4,643 B]
Fetched 576 kB in 3s (172 kB/s)        
Reading package lists... Done
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  megasync
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.2 MB of archives.
After this operation, 81.9 kB disk space will be freed.
Do you want to continue? [Y/n]

Question : pourquoi on ne commence pas par mettre à jour vers 21.10 ? Parce qu'on va devoir refaire tout ça sur 21.10 de toute façon ?

Merci.

EDIT : Signal on peut le désinstaller, je ne m'en sers jamais.

EDIT 2 : SANE je pense effectivement m'en servir pour le scanner. On peut le désinstaller, on verra bien.

EDIT 3 : pour SANE, voir le message de Ordissimo1 ici. C'est à ce moment que j'ai ajouté le PPA.

EDIT 4 : j'ai acheté mon Lenovo avec Windows 10 de préinstallé. J'ai ensuite remplacé par Ubuntu 20.04.

Dernière modification par TVG (Le 19/01/2022, à 18:01)

Hors ligne